MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001357XdebugCode Coveragepublic2016-10-21 22:462016-12-04 18:33
Reporterkrtek 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.1 
Target VersionFixed in Version2.5.0 
Summary0001357: Line with function signature is reported as being not executed through code coverage
DescriptionWhen asking for code coverage on a method for which the signature contains the new variadic operator (ie '...'), Xdebug reports the line as being non-executed whereas all other method signatures aren't reported at all.

This seems to happen only on class methods, functions with the same operator are correctly covered.

Steps To Reproduce1° Run the attached file 'test.php'
2° Line 6 is marked with '-1' which states for "not executed"
Additional InformationI saw this issue for the first time using the atoum test runner. I first opened an issue there ( https://github.com/atoum/atoum/issues/666 [^] ) before I analyzed the output of Xdebug.
TagsNo tags attached.
Operating SystemLinux Debian Jessie
PHP Version7.0.10-7.0.14
Attached Files? file icon test.php [^] (382 bytes) 2016-10-21 22:46
png file icon atou-coverage.png [^] (70,702 bytes) 2016-10-21 22:49

- Relationships

-  Notes
(0003749)
derick (administrator)
2016-11-16 13:27

Fixed in GIT, for Xdebug 2.5.0RC2.

- Issue History
Date Modified Username Field Change
2016-10-21 22:46 krtek New Issue
2016-10-21 22:46 krtek File Added: test.php
2016-10-21 22:49 krtek File Added: atou-coverage.png
2016-11-16 13:27 derick Note Added: 0003749
2016-11-16 13:27 derick Status new => closed
2016-11-16 13:27 derick Assigned To => derick
2016-11-16 13:27 derick Resolution open => fixed
2016-11-16 13:27 derick Fixed in Version => 2.5.0RC2
2016-12-04 17:55 derick Category Usage problems (Wrong Results) => Code Coverage
2016-12-04 17:55 derick Summary CodeCoverage - Line with function signature is reported as being not executed => Line with function signature is reported as being not executed through code coverage
2016-12-04 18:33 derick Fixed in Version 2.5.0RC2 => 2.5.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker